%global __requires_exclude perl\\(RPM\)|perl\\(RPM::Constant\\)|perl\\(RPM::Header\\)|perl\\(RPM::Sign\\)

%define upstream_name	Youri-Package
%define upstream_version 0.2.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:	Abstract package class
License:	GPL or Artistic
Group:		Development/Other
Url:		https://metacpan.org/pod/Youri::Package
Source:		https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/Youri-Package-%{upstream_version}.tar.gz
Requires:       perl-version
BuildRequires:  perl(Expect)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(URPM)
BuildRequires:  perl(RPM4)
BuildRequires:  perl(version)
BuildRequires:  perl(Youri::Package::RPM::Generator)
BuildRequires:  gnupg
BuildArch:	noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.2.9-2.mga10
+ Revision: 2214712
- Mageia 10 Mass Rebuild

* Thu Jun 02 2022 guillomovitch <guillomovitch> 0.2.9-1.mga9
+ Revision: 1861097
- new version 0.2.9

* Sun May 15 2022 guillomovitch <guillomovitch> 0.2.8-1.mga9
+ Revision: 1858242
- new version 0.2.8

* Mon Apr 25 2022 guillomovitch <guillomovitch> 0.2.7-1.mga9
+ Revision: 1853760
- new version 0.2.7

* Fri Apr 08 2022 guillomovitch <guillomovitch> 0.2.6-2.mga9
+ Revision: 1848075
- use fixed tarball

* Fri Apr 08 2022 guillomovitch <guillomovitch> 0.2.6-1.mga9
+ Revision: 1848060
- new version 0.2.6

* Wed Mar 30 2022 umeabot <umeabot> 0.2.5-5.mga9
+ Revision: 1834406
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.5-4.mga8
+ Revision: 1507076
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.5-3.mga7
+ Revision: 1287477
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 tmb <tmb> 0.2.5-2.mga7
+ Revision: 1205553
- handle debugsource packages

* Sat Oct 28 2017 guillomovitch <guillomovitch> 0.2.5-1.mga7
+ Revision: 1174438
- new version 0.2.5

* Sun Jun 19 2016 pterjan <pterjan> 0.2.4-8.mga6
+ Revision: 1036188
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.2.4-7.mga6
+ Revision: 950940
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 0.2.4-6.mga5
+ Revision: 799158
- patch1: fix test case not working in current cauldron (a src.rpm without sources doesn't create a SOURCES dir)
- filter out dependencies not available in current cauldron
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-3.mga4
+ Revision: 516273
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 375332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 guillomovitch <guillomovitch> 0.2.4-1.mga3
+ Revision: 338331
- new version
+ tmb <tmb>
- revert rpm5 specific code breaking the build (P1, spotted by tv)
- BR gnupg for tests on infra_2
- use is_debug check from mga-youri-core to also handle new -debuginfo packages (P0)

* Sat Jun 11 2011 spuhler <spuhler> 0.2.2-5.mga2
+ Revision: 103892
- increase rel for rebuild

* Sat Apr 30 2011 misc <misc> 0.2.2-4.mga1
+ Revision: 94007
- increase rebuild to allow upgrade from Mandriva ( with backports )

* Sun Mar 06 2011 guillomovitch <guillomovitch> 0.2.2-1.mga1
+ Revision: 65679
- new version

* Fri Jan 28 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 42961
- fix %%doc
- update to 0.2.0
- mageia rebuild
- imported package perl-Youri-Package


* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-4mdv2009.0
+ Revision: 268886
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-3mdv2009.0
+ Revision: 210963
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 17200
- force dependency on perl-version

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 17031
- Import perl-Youri-Package

